Get Toolzz Chat Integration
Endpoint used to get a Toolzz Chat integration.
Request Example
Section titled “Request Example”curl --request GET \ --url https://chat.api.toolzz.com.br/api/v1/chat/integration/{integrationId} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "id": "uuid", "title": "<string>", "isActive": true, "unitId": "uuid", "credentialId": "uuid", "accountId": 0, "inboxId": 0, "teamId": 0, "handoffAction": "<string>", "escalationNotice": "<string>", "keepHistory": false, "sendInitialMessage": true, "infisicalReference": { "environment": "prod", "path": "/", "projectId": "uuid", "secretName": "uuid" }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters
Section titled “URL Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
integrationId | String | Toolzz Chat integration ID | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
id | UUID | Unique identifier of the handoff configuration in the database. |
title | String | Identifier title of the transfer rule (e.g., “test”). |
isActive | Boolean | Defines if the transition rule to human is active. |
unitId | UUID | Unique identifier of the owning organizational unit. |
credentialId | UUID | Toolzz Chat credential ID linked after secret resolution. |
accountId | Number | ID of the organizational account in the service provider. |
inboxId | Number | ID of the target inbox (Inbox). |
teamId | Number | ID of the team/department where the ticket will be moved. |
handoffAction | String | Logical instruction or phrase that triggers the transfer by the AI. |
escalationNotice | String | Message sent to the client at the moment of redirection. |
keepHistory | Boolean | If false, the history with the AI will not be visible to the human. |
sendInitialMessage | Boolean | Defines if the system sends an automatic post-transfer message. |
infisicalReference | Object | Traceability metadata of the secret in the external vault: |
infisicalReference.secretName | String | The name or ID of the secret within Infisical. |
infisicalReference.projectId | UUID | Project ID in Infisical where the key is stored. |
infisicalReference.environment | String | Vault environment (e.g., prod, dev, staging). |
infisicalReference.path | String | Directory path within the secrets vault. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
